﻿using System;
using System.Collections.Generic;
using System.Linq.Expressions;
using System.Text;
using Xamarin.Forms;

namespace SyncFusionDemo1.Customs
{
    public abstract class ExtendedBindableObject : BindableObject
    {
        public void RaisePropertyChanged<T>(Expression<Func<T>> property)
        {
            var name = GetName(property);
            OnPropertyChanged(name);
        }

        private string GetName(Expression expression)
        {
            LambdaExpression lambdaExpression = (LambdaExpression)expression;

            if (lambdaExpression.Body is UnaryExpression unaryExpression)
            {
                return ((MemberExpression)unaryExpression.Operand).Member.Name;
            }

            if (lambdaExpression.Body is ConstantExpression constantExpression)
            {
                return constantExpression.Value as string;
            }

            return ((MemberExpression)lambdaExpression.Body).Member.Name;
        }
    }
}
