﻿using Autofac;
using SyncFusionDemo1.Interfaces.Services;
using SyncFusionDemo1.Services;
using SyncFusionDemo1.ViewModels.Pages;
using System;
using System.Collections.Generic;
using System.Text;

namespace SyncFusionDemo1.Helpers
{
    public static class DI
    {
        public static Autofac.IContainer Container { get; private set; }

        public static void Init()
        {
            var builder = new ContainerBuilder();

            // Services:
            builder.RegisterType<NavigationService>().As<INavigationService>();

            // Pages:
            builder.RegisterType<MasterDetailPageMasterViewModel>();// Menu
            builder.RegisterType<Page1ViewModel>();// Page1
            builder.RegisterType<Page2ViewModel>();// Page2

            Container = builder.Build();
        }
    }
}