﻿using SyncFusionDemo1.Attributes;
using SyncFusionDemo1.Helpers;
using SyncFusionDemo1.Interfaces.Services;
using SyncFusionDemo1.View.Pages;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using Xamarin.Forms;

namespace SyncFusionDemo1.ViewModels.Pages
{
    [Page(typeof(Page2))]
    public class Page2ViewModel : ComboBoxNavigationViewModel
    {
        private int _threatOptionIndex;
        private ObservableCollection<Image> _threatOptions = new ObservableCollection<Image>();

        public int ThreatOptionIndex
        {
            get
            {
                return _threatOptionIndex;
            }
            set
            {
                _threatOptionIndex = value;
                RaisePropertyChanged(() => ThreatOptionIndex);
            }
        }

        public ObservableCollection<Image> ThreatOptions
        {
            get
            {
                return _threatOptions;
            }
            set
            {
                _threatOptions = value;
                RaisePropertyChanged(() => ThreatOptions);
            }
        }

        public Page2ViewModel(INavigationService navigationService) : base(navigationService)
        {
            CurrentPage = this.ComboBoxPages.First(x => x.PageName == "Page 2");

            ThreatOptions = new ObservableCollection<Image>
            {
                UtilityHelper.ReturnImageButton("NavbarExclamation.png"),
                UtilityHelper.ReturnImageButton("NavbarExclamation.png"),
                UtilityHelper.ReturnImageButton("NavbarExclamation.png"),
                UtilityHelper.ReturnImageButton("NavbarExclamation.png"),
                UtilityHelper.ReturnImageButton("NavbarExclamation.png"),
            };
        }
    }
}
